This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 65467 - /etc/man.config should MANPATH_MAP /usr/local/share/man
/etc/man.config should MANPATH_MAP /usr/local/share/man
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
: 66861 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-24 13:57 EDT by roger
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-07 15:38:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roger 2002-05-24 13:57:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.2 (X11; Linux i686; U;) Gecko/20020510

Description of problem:
/etc/man.config contains:

MANPATH_MAP
/usr/local/bin
	/usr/local/man
MANPATH_MAP
/usr/local/sbin
	/usr/local/man

However, filesystem-2.1.6-2 creates /usr/local/share/man and does not create
/usr/local/man. This implies that /etc/man.config should contain this instead:

MANPATH_MAP
/usr/local/bin
	/usr/local/share/man
MANPATH_MAP     /usr/local/sbin         /usr/local/share/man

Version-Release number of selected component (if applicable): man-1.5j-6

How reproducible:
Always

Steps to Reproduce:
1. Configure, build, and install an executable program into /usr/local/bin, with
its man pages in /usr/local/share/man. With GNU configure-based programs, such
as mutt-1.3.99, you can do './configure --mandir=/usr/local/share/man; make
install'.
2. Make sure /usr/local/bin is in your $PATH.
3. Do 'man mutt' (or whatever).
	
Actual Results:  [roger@kiera roger]$ man mutt
No manual entry for mutt

Expected Results:  Show the mutt(1) man page.

Additional info:

I tested the first line of the proposed change and it seems to work as expected.
Comment 1 Eido Inoue 2003-01-07 15:22:21 EST
*** Bug 66861 has been marked as a duplicate of this bug. ***
Comment 2 Eido Inoue 2003-01-07 15:38:59 EST
fixed in man-1.5j-15
Comment 3 Mark J. Cox (Product Security) 2003-04-28 08:45:56 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-134.html

Note You need to log in before you can comment on or make changes to this bug.